﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            initSessionDS();
            this.ImagenesViewer.DataSource = Session["images"];
            this.ImagenesViewer.DataBind();
        }
    }
    private void initSessionDS()
    {
        Session["images"] = this.GetIVDs();
    }
    protected DataTable GetIVDs()
    {
        DataTable dt = new DataTable();
        DataColumn dc = new DataColumn("ImageUrl");
        DataColumn dcT = new DataColumn("Title");
        dt.Columns.Add(dc);
        dt.Columns.Add(dcT);
        dt.Rows.Add(new object[] { "http://www.infragistics.com/uploadedImages/HomePage/Money_Shots/NetAdvantage91MoneyShot.jpg", "some image" });
        dt.Rows.Add(new object[] { "http://www.infragistics.com/uploadedImages/HomePage/Highlights/SilverlightMar09Ctp.jpg", "other image" });
        return dt;
    }

    private void AddImage()
    {
        ((DataTable)Session["images"]).Rows.Add(new object[] { "http://www.infragistics.com/App_Themes/Global/images/logo.gif", "added" });   
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        AddImage();
        this.ImagenesViewer.DataSource = Session["images"];
        this.ImagenesViewer.DataBind();
    }
}
